
import EcommerceOrderList from '../pages/order/EcommerceOrderList';
import EcommerceOrderView from '../pages/order/EcommerceOrderView';
import EcommerceDeliveryOrderList from "../pages/order/EcommerceDeliveryOrderList";
import EcommerceManualDeliveryOrder from "../pages/order/EcommerceManualDeliveryOrder";
import EcommerceManualOrder from "../pages/order/EcommerceManualOrder";
import EcommerceDeliveryReport from "../pages/order/Report/EcommerceDeliveryReport";
import EcommerceOrderTypeReport from "../pages/order/Report/EcommerceOrderTypeReport";
import EcommercePaymentTypeReport from "../pages/order/Report/EcommercePaymentTypeReport";
import EcommerceRegionReport from "../pages/order/Report/EcommerceRegionReport";
import EcommerceReport from "../pages/order/Report/EcommerceReport";
let EcommerceOrderRoutes=[];
EcommerceOrderRoutes.push({ path: '/ecommerce/order/delivery/:userid/:status',exact:true, name: 'فهرست سفارشات راننده',component:EcommerceDeliveryOrderList});
EcommerceOrderRoutes.push({ path: '/ecommerce/order/new/:userid/:status',exact:true, name: 'سفارشات جدید',component:EcommerceOrderList});
EcommerceOrderRoutes.push({ path: '/ecommerce/order/sent/:userid/:status',exact:true, name: 'سفارشات ارسال شده',component:EcommerceOrderList});
EcommerceOrderRoutes.push({ path: '/ecommerce/order/delivered/:userid/:status',exact:true, name: 'سفارشات تحویل داده شده',component:EcommerceOrderList});
EcommerceOrderRoutes.push({ path: '/ecommerce/order/all/:userid/:status',exact:true, name: 'تمام سفارشات',component:EcommerceOrderList});
EcommerceOrderRoutes.push({ path: '/ecommerce/order/view/:userid/:id',exact:false, name: 'سفارش',component:EcommerceOrderView});
EcommerceOrderRoutes.push({ path: '/ecommerce/order/manual/management',exact:false, name: 'سفارش حضوری',component:EcommerceManualOrder});
EcommerceOrderRoutes.push({ path: '/ecommerce/order/manualdelivery/management',exact:false, name: 'سفارش تلفنی',component:EcommerceManualDeliveryOrder});
EcommerceOrderRoutes.push({ path: '/ecommerce/report/delivery',exact:true, name: 'دریافت گزارشات رانندگان',component:EcommerceDeliveryReport});
EcommerceOrderRoutes.push({ path: '/ecommerce/report/ordertype',exact:true, name: 'دریافت گزارشات بر اساس نوع سفارش',component:EcommerceOrderTypeReport});
EcommerceOrderRoutes.push({ path: '/ecommerce/report/paymenttype',exact:true, name: 'دریافت گزارشات بر اساس نوع پرداخت',component:EcommercePaymentTypeReport});
EcommerceOrderRoutes.push({ path: '/ecommerce/report/region',exact:true, name: 'دریافت گزارشات منطقه',component:EcommerceRegionReport});
EcommerceOrderRoutes.push({ path: '/ecommerce/report/full',exact:true, name: 'دریافت گزارش پیشرفته',component:EcommerceReport});
export default EcommerceOrderRoutes;
